Pop the element off the end of array

- « array_pad

- array_product »

- PHP Manual
- Array Functions
- Pop the element off the end of array

# array_pop

(PHP 4, PHP 5, PHP 7, PHP 8)

array_pop — Pop the element off the end of array

### Description

array_pop(array `&$array`): mixed

array_pop() pops and returns the value of the last element of `array`, shortening the `array` by one element.

> Note: This function will reset() the array pointer of the input array after use.

### Parameters

`array`

  The array to get the value from.

### Return Values

Returns the value of the last element of `array`. If `array` is empty, `null` will be returned.

### Examples

Example #1 array_pop() example

    <?php
    $stack = array("orange", "banana", "apple", "raspberry");
    $fruit = array_pop($stack);
    print_r($stack);
    ?>

After this, $stack will have only 3 elements:

    Array
    (
        [0] => orange
        [1] => banana
        [2] => apple
    )

and `raspberry` will be assigned to $fruit.

### See Also

- array_push() - Push one or more elements onto the end of array
- array_shift() - Shift an element off the beginning of array
- array_unshift() - Prepend one or more elements to the beginning of an array